Package twisted :: Package lore :: Module slides

[show private | hide private]
[frames | no frames]

## Module twisted.lore.slides

    Rudimentary slide support for Lore.

    TODO:
        - Complete mgp output target
            - syntax highlighting
            - saner font handling
            - probably lots more
        - Add HTML output targets
            - one slides per page (with navigation links)
            - all in one page

    Example input file:
    <html>

    <head><title>Title of talk</title></head>

    <body>
    <h1>Title of talk</h1>

    <h2>First Slide</h2>

    <ul>
      <li>Bullet point</li>
      <li>Look ma, I'm <strong>bold</strong>!</li>
      <li>... etc ...</li>
    </ul>

    <h2>Second Slide</h2>

    <pre class="python">
    # Sample code sample.
    print "Hello, World!"
    </pre>

    </body>

    </html>

Classes
`HTMLSlide` |
`MagicpointOutput` |
`ProsperSlides` |
`SlidesProcessingFunctionFactory` |

Function Summary
| `convertFile(filename, outputter, template, ext)`
| `doFile(fn, linkrel, ext, url, templ)`
| `insertPrevNextLinks(slides, filename, ext)`
| `munge(document, template, linkrel, d, fullpath, ext, url)`
| `splitIntoSlides(document)`

Variable Summary
`dict` | `entities`
`SlidesProcessingFunctionFactory` | `factory`
`dict` | `hacked_entities`
`_Feature` | `nested_scopes`

Variable Details

### entities

  Type:
    `dict`
  Value:

        {'amp': '&', 'lt': '<', 'gt': '>', 'copy': '(c)', 'quot': '"'}

### factory

  Type:
    `SlidesProcessingFunctionFactory`
  Value:

        <twisted.lore.slides.SlidesProcessingFunctionFactory instance at 0x871\
        de3c>

### hacked_entities

  Type:
    `dict`
  Value:

        {'amp': ' &', 'lt': ' <', 'gt': ' >', 'copy': ' (c)', 'quot': ' "'}

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

Generated by Epydoc 1.1 on Thu May 8 13:18:31 2003 | http://epydoc.sf.net